package com.ffii.core.response;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

public class RecordsRes<T> {
  private List<T> records;

  @JsonInclude(JsonInclude.Include.NON_NULL)
  private Integer total;

  public RecordsRes() {
  }

  public RecordsRes(List<T> records) {
    this.records = records;
  }

  public RecordsRes(List<T> records, Integer total) {
    this.records = records;
    this.total = total;
  }

  public List<T> getRecords() {
    return records;
  }

  public void setRecords(List<T> records) {
    this.records = records;
  }

  public Integer getTotal() {
    return total;
  }

  public void setTotal(Integer total) {
    this.total = total;
  }

}
